org.apache.ignite.internal.processors.cache.tree.mvcc.data

## Enum ResultType

- java.lang.Object
- - java.lang.Enum<ResultType>
  - - org.apache.ignite.internal.processors.cache.tree.mvcc.data.ResultType

All Implemented Interfaces:
  Serializable, Comparable<ResultType>

    public enum ResultType
    extends Enum<ResultType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`FILTERED`
`LOCKED`
`PREV_NOT_NULL`
`PREV_NULL`
`REMOVED_NOT_NULL`
`VERSION_FOUND`
`VERSION_MISMATCH`

### Method Summary

All Methods Static Methods Concrete Methods
`static ResultType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ResultType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### VERSION_FOUND

    public static final ResultType VERSION_FOUND

#### PREV_NULL

    public static final ResultType PREV_NULL

#### PREV_NOT_NULL

    public static final ResultType PREV_NOT_NULL

#### LOCKED

    public static final ResultType LOCKED

#### VERSION_MISMATCH

    public static final ResultType VERSION_MISMATCH

#### FILTERED

    public static final ResultType FILTERED

#### REMOVED_NOT_NULL

    public static final ResultType REMOVED_NOT_NULL

### Method Detail

#### values

    public static ResultType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ResultType c : ResultType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ResultType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.6
Release Date | : September 11 2019